# ********************************************************************
#
# RM Bridge Modeler Version  "11.13.00.31 (64 bit)"
# RM Bridge Modeler TCL Version      "1.0"
#
# DATE: 26/04/2022   TIME: 21:26:33
#
# ********************************************************************


GPJOB BEGIN


GPMODEL BEGIN

  # Unit for force: KN

  RADIUS+        LEFT
  SYSTEM         RM2004
  ANGLE          DEG
  LENGTH         STRUCT         M
  LENGTH         CROSS          MM
  LENGTH         LREINFAREA     CM
  TEMP           CELSIUS
  TOLERANCE      0.001
  EAST           0
  NORTH          0
  MATGROUP       "JTG_China"
  NODE_TOLERANCE 5e-05

GPMODEL END


GPVAR BEGIN

  TABLE          "htab1"     LENGTH      ""
    ITEM           "0"         "1000"      PAR2
    ITEM           "5"         "500"       PAR1
    ITEM           "10"        "1000"      PAR1
  TABLE END

GPVAR END


GPAXIS         "Axis1"

  S0             0
  SLOPE          1
  PPEN           9
  PSIZE          0.4
  ZSCALE         10

  HPLANE BEGIN
    DRAWATTR       1 0 0 0
    POINT          0           0           0
    LINE           100
  HPLANE END

  VPLANE BEGIN
    DRAWATTR       1 0 0 0
    POINT          0           0           0
    LINE           100
  VPLANE END

GPAXIS END


GPCROSS        "Cross1"

  VAR            "H"         500         LENGTH

  LAYERS         1  2  3  4  5  6  7  8  9 10

  CONLINES BEGIN
    DRAWATTR       7 1 0 0
    LAYER          1  2  3  4  5  6  7  8  9 10
    AXIS1          "CL_1"
    AXIS1 END
    AXIS2          "CL_2"
    AXIS2 END
    DRAWATTR       2 1 0 0
    LAYER          1
    PARALLEL       "CL_3"
      LINE           "CL_1"
      DISTANCE       "H"         LEFT
    PARALLEL END
    PARALLEL       "CL_4"
      LINE           "CL_1"
      DISTANCE       "H"         RIGHT
    PARALLEL END
    PARALLEL       "CL_5"
      LINE           "CL_2"
      DISTANCE       200         LEFT
    PARALLEL END
    PARALLEL       "CL_6"
      LINE           "CL_2"
      DISTANCE       200         RIGHT
    PARALLEL END
  CONLINES END

  PART      1
    POINT     CL_1   CL_2
  PART END

  BOUNDARY       "BND_1"      MAIN

    PART           1

    DRAWATTR       3 0 0 0
    LAYER          1

    SUBDIVISION    LDIV_GLOBAL               OFF 0

    LSEG           CL_3         1            AS  1
    LSEG           CL_6         -1           AS  2
    LSEG           CL_4         -1           AS  3
    LSEG           CL_5         1            AS  4

    MESH           BEGIN

      MPARAM         AUTO                      OFF
      MPARAM         PRESET                    CUSTOM
      MPARAM         MINIMIZE_INSIDE_PTS       OFF
      MPARAM         TARGET_METRIC             0
      MPARAM         MAX_GRADATION             0.5
      MPARAM         SHAPE_QUALITY             0.6
      MPARAM         MIN_Q_ANGLE_QUALITY       0
      MPARAM         LENGTH_UPPER              1.414
      MPARAM         QUAD_WEIGHT               1

      MNODE          1      0    "BND_1:1:1"
      MNODE          2      0    "BND_1:2:1"
      MNODE          3      0    "BND_1:3:1"
      MNODE          4      0    "BND_1:4:1"

      MELEM          1      2    0    1    0    4    0    3    0

      ELEM           1      2                         1:0.000000:-1.000000      \
                            1                         1:1.000000:0.000000       \
                            4                         1:0.000000:1.000000       \
                            3                         1:-1.000000:0.000000

    MESH END

  BOUNDARY END

GPCROSS END


GPCROSS        "Link"

  LAYERS         1  2  3  4  5  6  7  8  9 10

  CONLINES BEGIN
    DRAWATTR       7 1 0 0
    LAYER          1  2  3  4  5  6  7  8  9 10
    AXIS1          "CL_1"
    AXIS1 END
    AXIS2          "CL_2"
    AXIS2 END
  CONLINES END

  PART      1      NODE
    POINT     CL_1   CL_2
  PART END

  LINK           "Link1"
    DRAWATTR       1 0 0 0
    LAYER          1
    POINT          CL_1        CL_2
    POINT          CL_1        CL_2
    PART           1
    PART           1
    STEP           1           BEFORE
    ECCBEG         0
    ECCEND         0
  LINK END

  REFSET         "RefSet1"   CONNECTION
    LAYER          1
    ATTRSET        ""
    PART           1
  REFSET END

GPCROSS END


GPGIRDER       "Segment1"

  AXIS           "Axis1"
  CSPLANE        VERTICAL

  SPABS          0.000000    AS          p10
  SPREL          1           AS  [SERIE  p20     p100     10]
  SPABS          10.000000   AS          p110

  OFFSET      [SERIE  p10     p110     10]     0       0       0       0

  CROSS       [SERIE  p10     p110     10]     "Link"

  LINK        "Link1"
    CSPLANE     NORMAL
    SUBDIVIDE   1
    SPTAKE      0                                AS                  ":10"
    SPTAKE      1                                AS                  ":20"
    ACTIVE      [SERIE  p10     p100     10]     AFTER   0
    NACTIV              p110                     BEFORE  0
  LINK END

  LCROSS         "Link1"     AFTER
    SP        [SERIE  p10     p100     10]     "Cross1"
  LCROSS END

  LCROSS         "Link1"     BEFORE
    SP                p110                     "Cross1"
  LCROSS END

  VAR            "H"         "Link1"     AFTER
    SP        [SERIE  p10     p100     10]     "htab1(sgf)"
  VAR END

  VAR            "H"         "Link1"     BEFORE
    SP                p110                     "htab1(sgf)"
  VAR END

  PART           1

    NODE      [SERIES p10     p100     10       101     1       102     1]


  PART END

  PART           1           "Link1"     AFTER

    NODE           p10:10      101         102
    NODE           p20:10      102         103
    NODE           p30:10      103         104
    NODE           p40:10      104         105
    NODE           p50:10      105         106
    NODE           p60:10      106         107
    NODE           p70:10      107         108
    NODE           p80:10      108         109
    NODE           p90:10      109         110
    NODE           p100:10     110         111

    ELEM           p10:10      101
    ELEM           p20:10      102
    ELEM           p30:10      103
    ELEM           p40:10      104
    ELEM           p50:10      105
    ELEM           p60:10      106
    ELEM           p70:10      107
    ELEM           p80:10      108
    ELEM           p90:10      109
    ELEM           p100:10     110

    MATERIAL       p10:10      "JTG_China:C50"
    MATERIAL       p20:10      "JTG_China:C50"
    MATERIAL       p30:10      "JTG_China:C50"
    MATERIAL       p40:10      "JTG_China:C50"
    MATERIAL       p50:10      "JTG_China:C50"
    MATERIAL       p60:10      "JTG_China:C50"
    MATERIAL       p70:10      "JTG_China:C50"
    MATERIAL       p80:10      "JTG_China:C50"
    MATERIAL       p90:10      "JTG_China:C50"
    MATERIAL       p100:10     "JTG_China:C50"


  PART END

  PART           1           "Link1"     BEFORE

    NODE           p110:10     111         0

    ELEM           p110:10     111

    MATERIAL       p110:10     "JTG_China:C50"


  PART END

GPGIRDER END


GPGIRDER       "Segment2"

  AXIS           "Axis1"
  CSPLANE        VERTICAL

  SPABS          20.000000   AS          p10
  SPREL          1           AS  [SERIE  p20     p100     10]
  SPABS          30.000000   AS          p110

  OFFSET      [SERIE  p10     p110     10]     0       0       0       0

  CROSS       [SERIE  p10     p110     10]     "Cross1"

  VAR            "H"
    SP        [SERIE  p10     p110     10]     "htab1(sl)"
  VAR END

  PART           1

    NODE      [SERIES p10     p100     10       201     1       202     1]

    ELEM      [SERIES p10     p100     10       201     1]

    MATERIAL  [SERIE  p10     p100     10]     ""

    GROUP     [SERIE  p10     p100     10]     ""


  PART END

GPGIRDER END


GPNUMSCHEMA BEGIN

  INUSE          1
  RANGE          MG_BEAM        101       1 100
  RANGE          MG_NODE_S      101       1 100
  RANGE          MG_NODE_E      102       1 100
  RANGE          MG_NODE_SPR    5101      1 10
  RANGE          PIER_BEAM      10101     1 100
  RANGE          PIER_NODE_S    10101     1 100
  RANGE          PIER_NODE_E    10102     1 100
  RANGE          PIER_NODE_SPR  15101     1 10
  RANGE          CM_BEAM        20101     1 100
  RANGE          CM_NODE_S      20101     1 100
  RANGE          CM_NODE_E      20102     1 100
  RANGE          CM_NODE_SPR    25101     1 10
  RANGE          CAB_BEAM       30101     1 100
  RANGE          CAB_NODE_S     30101     1 100
  RANGE          CAB_NODE_E     30102     1 100
  RANGE          CAB_NODE_SPR   35101     1 10

GPNUMSCHEMA END


GPJOB END
